---
title: "Retrieve AP Manual Cheque by Code"
slug: "retrieve-ap-manual-cheque-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-ap-manual-cheque-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve AP Manual Cheque by Code

Get/ap-rest-api/rest/1/manualcheck

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Cheque Finder
- By UUID

#### Select Cheque Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| ChqNumVar | Cheque Number | 1020 |
| CompCodeVar | Company Code | 001 |
| VenCodeVar | Vendor Code | 1159 |

#### By UUID

This is an optional finder for querying a specific Manual Cheque by its Cheque Number.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /ap-rest-api/rest/1/manualcheck/1421436 |

Other Query Options

The details of a POSTED cheque begin at "VouChqViewObj" tag

The details of an UNPOSTED cheque begin at "PayamtChqmanViewObj" tag

Payload Details

**Link Header and Details -- for paying Vouchers**

To link the cheque header with the details, the following two columns must have the same value when being passed in; ChqSeqNum (header) and PaChqSeqNum (details) , ChqNum (header) and PaChqNum (details)

**Autoposting of Cheque**

To complete auto posting of the cheque within CMiC, ensure ChqBchPost is set to Y. Otherwise the cheque will be created in an *UNPOSTED* state.

**Paying Vouchers**

To pay vouchers using manual cheques, ensure that ChqVouCode = Y. There must also be at least one details section; Please see sample code under **PayamtChqmanViewObj**

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleChequeFinder;ChqNumVar=1020,CompCodeVar=001, VenCodeVar=1159
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleChqSeqNum:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='94a31009-38c3-416d-ad78-a30f8b3f6efe'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='9d6cdcde-d464-4129-9f5d-d7c29be12a08'>example-0</option>
<option value='c665d3d2-5c02-413d-9c60-c0720cb931a2'>example-1</option>
</select>example-0

Successful Response

```json
{
  "items": [
    {
      "Chq1099Code": "X",
      "ChqAccCode": "10001",
      "ChqAmt": 1000,
      "ChqBankCompCode": "001",
      "ChqBchName": null,
      "ChqBchNum": 3397280,
      "ChqBchPost": null,
      "ChqCompCode": "001",
      "ChqCurrCode": "USD",
      "ChqCurcFactorNum": 1,
      "ChqDate": "2020-05-18",
      "ChqDeptCode": "00",
      "ChqDesc": "Charity Donation",
      "ChqDraftCode": "M",
      "ChqJobCode": null,
      "ChqJointVenName": null,
      "ChqNum": 1020,
      "ChqPayeeAddr1": "820 Aladdin Ave",
      "ChqPayeeAddr2": null,
      "ChqPayeeAddr3": "San Leandro",
      "ChqPayeeCountry": "USA",
      "ChqPayeeName1": "Ace Supply Co. Inc.",
      "ChqPayeeName2": null,
      "ChqPayeePostalCode": "94577",
      "ChqPayeeRegCode": "CA",
      "ChqPostDate": "2020-05-18",
      "ChqRecCode": "N",
      "ChqSeqNum": 1421436,
      "ChqTempBchNum": 3397280,
      "ChqVenCode": "1159",
      "ChqVouCode": "N",
      "ChqRefundFlag": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436",
          "name": "manualcheck",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436",
          "name": "manualcheck",
          "kind": "item"
        },
        {
          "rel": "child",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436/child/VouChqViewObj",
          "name": "VouChqViewObj",
          "kind": "collection"
        },
        {
          "rel": "child",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436/child/PayamtChqmanViewObj",
          "name": "PayamtChqmanViewObj",
          "kind": "collection"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck",
      "name": "manualcheck",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response

```json
{
  "items": [
    {
      "Chq1099Code": "X",
      "ChqAccCode": "10001",
      "ChqAmt": 1000,
      "ChqBankCompCode": "001",
      "ChqBchName": null,
      "ChqBchNum": 3397280,
      "ChqBchPost": null,
      "ChqCompCode": "001",
      "ChqCurrCode": "USD",
      "ChqCurcFactorNum": 1,
      "ChqDate": "2020-05-18",
      "ChqDeptCode": "00",
      "ChqDesc": "Charity Donation",
      "ChqDraftCode": "M",
      "ChqJobCode": null,
      "ChqJointVenName": null,
      "ChqNum": 1020,
      "ChqPayeeAddr1": "820 Aladdin Ave",
      "ChqPayeeAddr2": null,
      "ChqPayeeAddr3": "San Leandro",
      "ChqPayeeCountry": "USA",
      "ChqPayeeName1": "Ace Supply Co. Inc.",
      "ChqPayeeName2": null,
      "ChqPayeePostalCode": "94577",
      "ChqPayeeRegCode": "CA",
      "ChqPostDate": "2020-05-18",
      "ChqRecCode": "N",
      "ChqSeqNum": 1421436,
      "ChqTempBchNum": 3397280,
      "ChqVenCode": "1159",
      "ChqVouCode": "N",
      "ChqRefundFlag": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436",
          "name": "manualcheck",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436",
          "name": "manualcheck",
          "kind": "item"
        },
        {
          "rel": "child",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436/child/VouChqViewObj",
          "name": "VouChqViewObj",
          "kind": "collection"
        },
        {
          "rel": "child",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck/1421436/child/PayamtChqmanViewObj",
          "name": "PayamtChqmanViewObj",
          "kind": "collection"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/manualcheck",
      "name": "manualcheck",
      "kind": "collection"
    }
  ]
}
```

object
